karaf-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Eduardo León García (JIRA) <j...@apache.org>
Subject [jira] [Created] (KARAF-3636) Can't install cellar
Date Thu, 26 Mar 2015 18:55:52 GMT
Eduardo León García created KARAF-3636:
------------------------------------------

             Summary: Can't install cellar
                 Key: KARAF-3636
                 URL: https://issues.apache.org/jira/browse/KARAF-3636
             Project: Karaf
          Issue Type: Bug
    Affects Versions: 4.0.0.M2
         Environment: Linux eduhost 3.13.0-37-generic #64-Ubuntu SMP Mon Sep 22 21:28:38 UTC
2014 x86_64 x86_64 x86_64 GNU/Linux
            Reporter: Eduardo León García


I downloaded the last karaf version and when I try to install cellar I get this: 

{code}
karaf@root()> feature:install -v cellar
Adding features: cellar/[3.0.1,3.0.1]
Error executing command: Unable to resolve root: missing requirement [root] osgi.identity;
osgi.identity=cellar-shell; type=karaf.feature; version=3.0.1 [caused by: Unable to resolve
cellar-shell/3.0.1: missing requirement [cellar-shell/3.0.1] osgi.identity; osgi.identity=org.apache.karaf.cellar.shell;
type=osgi.bundle; version="[3.0.1,3.0.1]"; resolution:=mandatory [caused by: Unable to resolve
org.apache.karaf.cellar.shell/3.0.1: missing requirement [org.apache.karaf.cellar.shell/3.0.1]
osgi.wiring.package; filter:="(&(osgi.wiring.package=org.apache.felix.service.command)(version>=0.12.0)(!(version>=1.0.0)))"]]
karaf@root()> 
{code}

Any suggestions?
Thanks in advance.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message